
ChiliProject - Bug # 698: Searching in issue is broken on ruby 1.9

Status: Closed Priority: High
Author: David O Category: Issue tracking
Created: 2011-11-14 Assignee: Felix Schäfer
Updated: 2011-11-25 Due date:
Remote issue URL:
Affected version: 2.4.0
Description: Searching for issues by subject (any criteria with input-field) is broken. After searching (clicking apply) the 

entered text is changed.

To reproduce:
* click issues
* add filter for subject and enter 'something'
* click apply
* text in the input-field changed to @["something"]@
* click apply again and the text will change to @["[\"something\"]"]@

Happens with v2.4.0 on ruby 1.9.3, running on 1.8.7 everything works as expected.

Associated revisions
2008-02-21 08:49 pm - Jean-Philippe Lang 
Roadmap enhancements (closes #697, #698):
* separate related issues from wiki contents
* leading h1 in version wiki pages is hidden (done using css, won't work with IE6)
* smaller wiki headings
* xhtml validation

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1168 e93f8b46-1217-0410-a6f0-8f06a7374b81

2011-11-16 02:22 pm - Moritz Breit
[#698] Fix issue queries on Ruby 1.9

2011-11-25 06:45 pm - Felix SchÃ¤fer 
Merge pull request #123 from mbreit/bugfix/698-issue-query-ruby19

[#698] Fix single-value query atoms in issue queries on Ruby 1.9

History
2011-11-14 01:53 pm - Felix Schäfer
- Priority changed from Normal to High

- Target version set to 2.5.0

- Assignee set to Felix Schäfer

- (deleted custom field) set to 2.4.0

Thanks for the report, I'll see tonight if I can reproduce this.

2011-11-16 01:48 pm - Moritz Breit
I just send a pull request on Github (https://github.com/chiliproject/chiliproject/pull/123) which should fix this issue.
2011-11-25 05:46 pm - Felix Schäfer
- Status changed from Open to Closed

Merged in commit:a80f822, thanks a lot!
